Subject: Re: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2022 13:24:54 +0200

Dmitry Gutov <[email-masked]> writes:

> I'm not sure it should be fixed.
>
> Your reasoning seems valid, however by now this behavior is ingrained
> into my expectations of how thing-at-point should behave.
>
> This would be a breaking change. For instance, it will make
> (bounds-of-thing-at-point 'symbol) unsuitable for use in a
> completion-at-point-functions element, to compute the first two values
> of the returned list, because during completion you're most often
> "after" the symbol. And I do use it for that purpose in one
> third-party package.

So I think the conclusion here is that we don't want to change the
behaviour, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no